大家有遇到mac下emacs28.0.50 崩溃的情况么

大家有遇到mac下emacs28.0.50 崩溃的情况么,有时候正常退出,就会导致崩溃。 特别是emacs --daemo下,很容易触发。安装的是

brew tap jimeh/emacs-builds 
brew install --cask emacs-app-good

用28, daemon模式下遇到好几次卡住不动的情况.
现在换回27.2 的emacs-mac了, 另外也没用daemon模式.
主要是用了28的native comp之后没感觉到啥区别,反而每次更新native compile花的时间更多.

28经常崩或者卡死,我现在是把启动时间优化好了,有需要就直接开新的emacs

卡死到没遇到过,崩溃经常

系统版本:catalina 10.15.7。 emacs: 28.0.50,从git的master分支上直接编译的,未使用native-comp。不用daemon。

从没出现过崩溃和卡的情况。

我也去重新编译一个 不用native-comp,这玩意没感觉提升速度,倒是一堆编译告警

先前用native的,每次升级软件包之后编辑文件,都会有一堆告警,要手工关闭,后来放弃了就用apt安装的版本

我打算在 mac 上先用正常版本的了…

emacs-plus or emacs-head + native-comp 都没遇到过崩溃的问题

1赞

编译告警不影响,可以关掉不提示就行

确实不影响,手工关掉就行。每次有插件升级后都要手工关闭,还是有点麻烦的,而且目前用emacs还没有到性能瓶颈,不差native那一点

不是每次手动关掉,就是设置了直接不提示

:innocent:好吧,不太了解

我基本没遇到过崩溃情况。mac下, 我现在知道两个源比较好:

emacs-plus 我遇到的问题是naive compile 分支在我这里始终有找不到libgcc问题,其他分支都正常;后者是需要自己来build, 我用了一个多月,很不错。

emacs-plus不需要用native-comp分支了,master已经支持。

抱歉,是我表达有误。我之前(估计两个月前)如下安装

brew tap d12frosted/emacs-plus
brew install emacs-plus@28 --with-native-comp

native-comp 有找不到gcc等报错,我尝试按照要求修复这个报错,也没有搞定。等有时间再折腾下。

brew install libgccjit gcc

我之前试过这个,没起到作用。。。

参考

注意下最后面的版本号

你好,我之前尝试过类似策略,也不可以。不过,为现在不纠结这个了,已经自己编译后在用了。